curl --request GET \
--url https://api.cal.com/v2/contacts/{id}/history \
--header 'Authorization: <authorization>'import requests
url = "https://api.cal.com/v2/contacts/{id}/history"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.cal.com/v2/contacts/{id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/contacts/{id}/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/contacts/{id}/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cal.com/v2/contacts/{id}/history")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/contacts/{id}/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"contactId": "0192f3a1-7c2b-7d4e-9a10-000000000001",
"summary": {
"meetingCount": 5,
"lastMetAt": "2026-10-02T09:30:00.000Z",
"usualGapDays": 14,
"coveredSince": "2026-07-02T09:30:00.000Z"
},
"meetings": [
{
"bookingUid": "8xKqvFZb2Y3mLwP9nRtUe4",
"title": "Strategy sync",
"startTime": "2026-10-02T09:30:00.000Z",
"endTime": "2026-10-02T10:00:00.000Z",
"state": "met"
}
]
},
"pagination": {
"nextCursor": "<string>",
"hasMore": true
}
}Get a personal contact's meeting history
Returns the authenticated user’s meeting history with one of their personal contacts, as the contact drawer on the Contacts page shows it: a summary and the meetings of one status, 20 per page: upcoming soonest first, or past newest first. When pagination.hasMore is true, pass pagination.nextCursor as cursor with the same status. Only bookings the user hosts or attends are read, from summary.coveredSince onwards (3 months, or less for users with the most bookings). On a seated event the user doesn’t host, other seat holders are matched only when the event shows its attendees. Cal Event bookings are left out. The contact’s name, email and private note, other attendees, descriptions, locations and booking responses are never returned. A contact the user does not have is not found. If accessed using an OAuth access token, the CONTACT_READ and BOOKING_READ scopes are both required.
curl --request GET \
--url https://api.cal.com/v2/contacts/{id}/history \
--header 'Authorization: <authorization>'import requests
url = "https://api.cal.com/v2/contacts/{id}/history"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.cal.com/v2/contacts/{id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/contacts/{id}/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/contacts/{id}/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cal.com/v2/contacts/{id}/history")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/contacts/{id}/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"contactId": "0192f3a1-7c2b-7d4e-9a10-000000000001",
"summary": {
"meetingCount": 5,
"lastMetAt": "2026-10-02T09:30:00.000Z",
"usualGapDays": 14,
"coveredSince": "2026-07-02T09:30:00.000Z"
},
"meetings": [
{
"bookingUid": "8xKqvFZb2Y3mLwP9nRtUe4",
"title": "Strategy sync",
"startTime": "2026-10-02T09:30:00.000Z",
"endTime": "2026-10-02T10:00:00.000Z",
"state": "met"
}
]
},
"pagination": {
"nextCursor": "<string>",
"hasMore": true
}
}Headers
Path Parameters
Query Parameters
Was this page helpful?